<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chaozhanggui.dao.system.dao.TbPlussVoiceboxProfitMapper">
    <resultMap id="BaseResultMap" type="com.chaozhanggui.dao.system.entity.TbPlussVoiceboxProfit">
        <id column="id" jdbcType="INTEGER" property="id" />
        <result column="merchantCode" jdbcType="VARCHAR" property="merchantCode" />
        <result column="amount" jdbcType="DECIMAL" property="amount" />
        <result column="remarks" jdbcType="VARCHAR" property="remarks" />
    </resultMap>
    <insert id="insertList" parameterType="java.util.List">
        INSERT INTO tb_pluss_voicebox_profit (`merchantCode`, `amount`, `remarks`)
        VALUES
        <foreach collection="list" item="item" separator=",">
            (#{item.merchantCode}, #{item.amount}, #{item.remarks})
        </foreach>
    </insert>

</mapper>